package com.zhongzheng.modules.bank.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.zhongzheng.common.core.domain.entity.SysUser;
import com.zhongzheng.modules.bank.bo.QuestionAddBo;
import com.zhongzheng.modules.bank.bo.QuestionEditBo;
import com.zhongzheng.modules.bank.bo.QuestionQueryBo;
import com.zhongzheng.modules.bank.domain.Question;
import com.zhongzheng.modules.bank.vo.QuestionImport;
import com.zhongzheng.modules.bank.vo.QuestionVo;
import com.zhongzheng.modules.goods.bo.GoodsQueryBo;
import com.zhongzheng.modules.goods.vo.GoodsUserQuestionVo;

import java.util.Collection;
import java.util.List;

/**
 * 题库题目Service接口
 *
 * @author hjl
 * @date 2021-10-21
 */
public interface IQuestionService extends IService<Question> {
	/**
	 * 查询单个
	 * @return
	 */
	QuestionVo queryById(Long questionId);

	List<QuestionVo> selectList(QuestionQueryBo bo);




	/**
	 * 查询列表
	 */
	List<QuestionVo> queryList(QuestionQueryBo bo);

	/**
	 * 根据新增业务对象插入题库题目
	 * @param bo 题库题目新增业务对象
	 * @return
	 */
	Long insertByAddBo(QuestionAddBo bo);

	/**
	 * 根据编辑业务对象修改题库题目
	 * @param bo 题库题目编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(QuestionEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

	String importQuestion(List<QuestionImport> questionList, Boolean isUpdateSupport, String operName);

    List<GoodsUserQuestionVo> listGoodsUserQuestionVo(GoodsQueryBo bo);
}
